LibreOffice: XAuthorizable Interface Reference

LibreOffice LibreOffice 7.4 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XAuthorizable Interface Referencepublished

is used for accessing and setting the permissions of a user for a database object. More...

Inheritance diagram for XAuthorizable:

## Public Member Functions
long | getPrivileges ([in]string objName, [in]long objType) raises (com::sun::star::sdbc::SQLException)
| retrieves the permissions for a specific object.
long | getGrantablePrivileges ([in]string objName, [in]long objType) raises (com::sun::star::sdbc::SQLException)
| retrieves the permissions for a specific object, which could be granted to other users and groups.
void | grantPrivileges ([in]string objName, [in]long objType, [in]long objPrivileges) raises (com::sun::star::sdbc::SQLException)
| adds additional permissions for a specific object.
void | revokePrivileges ([in]string objName, [in]long objType, [in]long objPrivileges) raises (com::sun::star::sdbc::SQLException)
| removes permissions for a specific object from a group or user.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

is used for accessing and setting the permissions of a user for a database object.

See also
  com::sun::star::sdbcx::PrivilegeObject
  com::sun::star::sdbcx::Privilege

## Member Function Documentation

## ◆ getGrantablePrivileges()

long getGrantablePrivileges | ( | [in] string | objName,
|  | [in] long | objType
| ) |  |
raises | ( | com::sun::star::sdbc::SQLException
| ) |  |

retrieves the permissions for a specific object, which could be granted to other users and groups.

Parameters

  objName | the name of the object
  objType | a value of com::sun::star::sdbcx::PrivilegeObject

Returns
  the grant privileges

Exceptions

  com::sun::star::sdbc::SQLException | if a database access error occurs.

## ◆ getPrivileges()

long getPrivileges | ( | [in] string | objName,
|  | [in] long | objType
| ) |  |
raises | ( | com::sun::star::sdbc::SQLException
| ) |  |

retrieves the permissions for a specific object.

Parameters

  objName | the name of the object
  objType | a value of com::sun::star::sdbcx::PrivilegeObject

Returns
  the privileges

Exceptions

  com::sun::star::sdbc::SQLException | if a database access error occurs.

## ◆ grantPrivileges()

void grantPrivileges | ( | [in] string | objName,
|  | [in] long | objType,
|  | [in] long | objPrivileges
| ) |  |
raises | ( | com::sun::star::sdbc::SQLException
| ) |  |

adds additional permissions for a specific object.

Parameters

  objName | the name of the object
  objType | a value from the com::sun::star::sdbcx::PrivilegeObject constants group
  objPrivileges | a value from the com::sun::star::sdbcx::Privilege constants group

Exceptions

  com::sun::star::sdbc::SQLException | if a database access error occurs.

## ◆ revokePrivileges()

void revokePrivileges | ( | [in] string | objName,
|  | [in] long | objType,
|  | [in] long | objPrivileges
| ) |  |
raises | ( | com::sun::star::sdbc::SQLException
| ) |  |

removes permissions for a specific object from a group or user.

Parameters

  objName | the name of the object
  objType | a value from the com::sun::star::sdbcx::PrivilegeObject constants group
  objPrivileges | a value from the com::sun::star::sdbcx::Privilege constants group

Exceptions

  com::sun::star::sdbc::SQLException | if a database access error occurs.

The documentation for this interface was generated from the following file:

- com/sun/star/sdbcx/XAuthorizable.idl